=== debian/control ===
Source: schroot
Section: admin
Priority: optional
Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
Uploaders: Roger Leigh <rleigh@debian.org>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, pkg-config (>= 0.20), libpam0g-dev (>= 0.79-3.1), uuid-dev [!kfreebsd-any], liblockdev1-dev (>= 1.0.2), libboost-dev (>= 1.34.0), libboost-program-options-dev (>= 1.34.0), libboost-regex-dev (>= 1.34.0), libboost-filesystem-dev (>= 1.34.0), gettext, libcppunit-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=buildd-tools/schroot.git
Vcs-Git: git://git.debian.org/git/buildd-tools/schroot

Package: schroot-common
Architecture: all
Depends: ${misc:Depends}
Description: common files for schroot
 schroot allows users to execute commands or interactive shells in
 different chroots.  Any number of named chroots may be created, and
 access permissions given to each, including root access for normal
 users, on a per-user or per-group basis.  Additionally, schroot can
 switch to a different user in the chroot, using PAM for
 authentication and authorisation.  All operations are logged for
 security.
 .
 This package provides translations for localisation of schroot
 programs.

Package: libsbuild-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, pkg-config (>= 0.14.0)
Suggests: schroot-dbg, libsbuild-doc
Description: development files for the Debian source builder
 sbuild provides facilities to manage and access chroots, as part of
 schroot.
 .
 schroot allows users to execute commands or interactive shells in
 different chroots.  Any number of named chroots may be created, and
 access permissions given to each, including root access for normal
 users, on a per-user or per-group basis.  Additionally, schroot can
 switch to a different user in the chroot, using PAM for
 authentication and authorisation.  All operations are logged for
 security.
 .
 This package contains the header files and static library needed to
 develop applications which make use of sbuild.  Once the API and ABI
 are stable, a shared library will replace the static library.

Package: schroot-dbg
Architecture: any
Section: devel
Priority: extra
Depends: ${misc:Depends}, schroot (= ${binary:Version}) | dchroot (= ${binary:Version})
 | dchroot-dsa (= ${binary:Version})
Conflicts: schroot (<< ${binary:Version}), schroot (>> ${binary:Version}),
 dchroot (<< ${binary:Version}), dchroot (>>${binary:Version}),
 dchroot-dsa (<< ${binary:Version}), dchroot-dsa (>>${binary:Version})
Description: schroot, dchroot and dchroot-dsa debuggging symbols
 sbuild provides facilities to manage and access chroots, as part of
 schroot.
 .
 schroot allows users to execute commands or interactive shells in
 different chroots.  Any number of named chroots may be created, and
 access permissions given to each, including root access for normal
 users, on a per-user or per-group basis.  Additionally, schroot can
 switch to a different user in the chroot, using PAM for
 authentication and authorisation.  All operations are logged for
 security.
 .
 This package contains debugging symbols for the schroot, dchroot
 and dchroot-dsa packages.

Package: libsbuild-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsbuild-dev
Description: development documentation for the Debian source builder
 sbuild provides facilities to manage and access chroots, as part of
 schroot.
 .
 schroot allows users to execute commands or interactive shells in
 different chroots.  Any number of named chroots may be created, and
 access permissions given to each, including root access for normal
 users, on a per-user or per-group basis.  Additionally, schroot can
 switch to a different user in the chroot, using PAM for
 authentication and authorisation.  All operations are logged for
 security.
 .
 This package contains the API documentation needed to develop
 applications which make use of sbuild.

Package: schroot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, schroot-common (=${source:Version})
Conflicts: dchroot (<< 0.13)
Replaces: buildd (<< 0.62.3-1), sbuild (<< 0.62.3-1)
Enhances: sbuild
Suggests: debootstrap, lvm2, btrfs-tools, unzip, aufs-modules | unionfs-modules
Description: Execute commands in a chroot environment
 schroot allows users to execute commands or interactive shells in
 different chroots.  Any number of named chroots may be created, and
 access permissions given to each, including root access for normal
 users, on a per-user or per-group basis.  Additionally, schroot can
 switch to a different user in the chroot, using PAM for
 authentication and authorisation.  All operations are logged for
 security.
 .
 Several different types of chroot are supported, including normal
 directories in the filesystem, and also block devices.  Sessions,
 persistent chroots created on the fly from files (tar with optional
 compression and zip) and LVM snapshots are also supported.
 .
 schroot supports kernel personalities, allowing the programs run
 inside the chroot to have a different personality.  For example,
 running 32-bit chroots on 64-bit systems, or even running binaries
 from alternative operating systems such as SVR4 or Xenix.
 .
 schroot also integrates with sbuild, to allow building packages with
 all supported chroot types, including session-managed chroot types
 such as LVM snapshots.
 .
 schroot shares most of its options with dchroot, but offers vastly
 more functionality.

Package: dchroot
Architecture: any
Suggests: debootstrap
Depends: ${misc:Depends}, schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
Description: Execute commands in a chroot environment
 dchroot allows users to execute commands or interactive shells in
 different chroots.  A typical installation might provide 'stable',
 'testing' and 'unstable' chroots.  Users can move between chroots as
 necessary.
 .
 NOTE: the schroot package provides a better implementation of
 dchroot.  In particular:
  * dchroot quoting issues are not present.  dchroot runs commands in
    the chroot with -c option of the user's default shell; when
    multiple command options are used, the options are concatenated
    together, separated by spaces.  This concatenation breaks shell
    quoting.
  * schroot implements fine-grained access controls based on users
    and groups, either of which may be granted the ability to gain
    root access to the chroot if required.
 Using schroot will avoid these issues, as well as provide additional
 functionality dchroot does not possess.

Package: dchroot-dsa
Architecture: any
Suggests: debootstrap
Depends: ${misc:Depends}, schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
Description: Execute commands in a chroot environment
 dchroot allows users to execute commands or interactive shells in
 different chroots.  A typical installation might provide 'stable',
 'testing' and 'unstable' chroots.  Users can move between chroots as
 necessary.
 .
 This package provides a dchroot-dsa binary which is compatible with
 the command-line options and configuration file format used by the
 dchroot-dsa dchroot maintained by the Debian System Administrators
 used on machines administered for the Debian Project.
 .
 NOTE: the schroot package provides a better implementation of
 dchroot-dsa.  In particular:
  * dchroot-dsa only allows the specification of a single command with
    an absolute path, and no options may be used with the command;
    schroot allows the use of relative and absolute paths with no
    limit on the number of options.
  * dchroot-dsa only allows one chroot to be used at once; schroot will
    allow the use of as many chroots as desired.
  * dchroot-dsa allows access to be restricted to named users; schroot
    implements finer-grained access controls based on users and groups,
    either of which may be granted the ability to gain root access to
    the chroot if required.
 Using schroot will avoid these issues, as well as provide significant
 additional functionality dchroot-dsa does not possess.
