=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
 Uploaders: Roger Leigh <rleigh@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, pkg-config (>= 0.20), libpam0g-dev (>= 0.79-3.1), uuid-dev [!kfreebsd-any], liblockdev1-dev (>= 1.0.2), libboost-dev (>= 1.34.0), libboost-program-options-dev (>= 1.34.0), libboost-regex-dev (>= 1.34.0), libboost-filesystem-dev (>= 1.34.0), gettext, libcppunit-dev
+Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, libpam0g-dev, uuid-dev [!kfreebsd-any], liblockdev1-dev, libboost1.46-dev, libboost-iostreams1.46-dev, libboost-program-options1.46-dev, libboost-regex1.46-dev, libboost-filesystem1.46-dev, gettext, libcppunit-dev, groff-base
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=buildd-tools/schroot.git
 Vcs-Git: git://git.debian.org/git/buildd-tools/schroot
 
@@ -47,7 +47,7 @@
 
 Package: schroot-dbg
 Architecture: any
-Section: devel
+Section: debug
 Priority: extra
 Depends: ${misc:Depends}, schroot (= ${binary:Version}) | dchroot (= ${binary:Version})
  | dchroot-dsa (= ${binary:Version})
@@ -95,7 +95,8 @@
 Conflicts: dchroot (<< 0.13)
 Replaces: buildd (<< 0.62.3-1), sbuild (<< 0.62.3-1)
 Enhances: sbuild
-Suggests: debootstrap, lvm2, btrfs-tools, unzip, aufs-modules | unionfs-modules
+Breaks: sbuild (<< 0.62.4-1)
+Suggests: debootstrap, lvm2, btrfs-tools, aufs-modules | unionfs-modules
 Description: Execute commands in a chroot environment
  schroot allows users to execute commands or interactive shells in
  different chroots.  Any number of named chroots may be created, and
@@ -108,7 +109,7 @@
  Several different types of chroot are supported, including normal
  directories in the filesystem, and also block devices.  Sessions,
  persistent chroots created on the fly from files (tar with optional
- compression and zip) and LVM snapshots are also supported.
+ compression) and Btrfs and LVM snapshots are also supported.
  .
  schroot supports kernel personalities, allowing the programs run
  inside the chroot to have a different personality.  For example,
@@ -117,7 +118,7 @@
  .
  schroot also integrates with sbuild, to allow building packages with
  all supported chroot types, including session-managed chroot types
- such as LVM snapshots.
+ such as Btrfs and LVM snapshots.
  .
  schroot shares most of its options with dchroot, but offers vastly
  more functionality.
