## schroot 1.4.25

=== debian/changelog ===
schroot (1.4.25-1) unstable; urgency=low

  * New upstream stable release.
  * Build-Depend on generic Boost pacakges, to build against v1.48.
  * Support for overlayfs has been added in addition to aufs and
    unionfs (Closes: #648450).  Thanks to Evan Broder.  Backported
    from schroot-1.5.2.

 -- Roger Leigh <rleigh@debian.org>  Fri, 03 Feb 2012 10:56:57 +0000
