## schroot 1.5.1

=== debian/changelog ===
schroot (1.5.1-1) experimental; urgency=low

  * New upstream development release:
  * Build using dh and debhelper 8.1.
  * Use multiarch paths.
  * Build with Boost 1.46, and add boost-iostreams build dependency.
  * Fix building with --debug (Closes: #609067).  Thanks to
    Jonathan Callen.
  * Add CHROOT_ALIAS to the setup script execution environment, and
    SCHROOT_ALIAS_NAME to the user environment.  These may be used
    to conditionally alter behaviour depending upon the chroot alias
    used (Closes: #635320).
  * Directory fallbacks are documented in the manual pages
    (Closes: #633671).
  * dchroot and dchroot-dsa no longer use dchroot.conf.  Both
    programs now always use schroot.conf, and additionally use the
    same authentication mechanisms as schroot.  This is intended to
    provide the same basic configuration for all tools, and to also
    improve security by only having a single set of authentication
    rules.
  * debian/control:
    - Use multiline fields.
    - Upgrade to Standards-Version 3.9.2 (no changes).
    - Build-Depend upon groff-base for soelim.
    - schroot Breaks sbuild << 0.62.6, which did not support namespaces
      correctly.

 -- Roger Leigh <rleigh@debian.org>  Fri, 30 Dec 2011 11:59:40 +0000

schroot (1.5.0-1) experimental; urgency=low

  * New upstream development release:
    - The deprecated options priority, run-setup-scripts and
      run-exec-scripts (all chroot types) and location ("plain" and
      "directory" chroot types) have been obsoleted and removed from
      the documentation.
    - Source chroots no longer create a chroot with a -source suffix;
      the source: namespace should be used instead.  Likewise sessions
      are no longer present in the chroot: namespace, and are only
      found in the session: namespace.  This means the fully-qualified
      name must be used to refer to sessions except when performing
      actions which use session: as the default namespace.
    - Support for zip file archives has been removed.  zip was not able
      to archive named pipes and device nodes, and so was not usable
      for chroot archival.
    - AUTH_VERBOSITY is no longer set in setup scripts.  Please use
      VERBOSE instead.  VERBOSITY replaced and deprecated
      AUTH_VERBOSITY in version 1.4.5.
  * schroot: Don't Suggest unzip now zip is not a supported archive
    format.

 -- Roger Leigh <rleigh@debian.org>  Sun, 16 Jan 2011 22:02:34 +0000
