## schroot 1.6.1

=== debian/changelog ===
schroot (1.6.1-1) unstable; urgency=low

  * New upstream stable release.
  * schroot:
    - Remove invalid and obsolete symlinks which were being created
      on install and upgrade, and no longer create them
      (Closes: #681931).
    - Fix 15binfmt setup script to bind mount binfmt binary correctly
      (Closes: #677811).  Thanks to Vagrant Cascadian and Julian Andres
      Klode.
    - Building from git has been documented, as has the upstream
      release process (Closes: #680882).
  * dchroot:
    - Migrate dchroot.conf to schroot.conf format on upgrade
      (Closes: #681876).  Also documented caveats in NEWS.Debian.
  * dchroot-dsa:
    - Migrate dchroot.conf to schroot.conf format on upgrade.
      Also documented caveats in NEWS.Debian.

 -- Roger Leigh <rleigh@debian.org>  Wed, 18 Jul 2012 20:04:41 +0100

schroot (1.6.0-1) unstable; urgency=low

  * New upstream stable release.
  * schroot:
    - Ensure that the schroot init script is migrated from using rcS to
      using standard runlevels (Closes: #677501).
    - script-config sets FSTAB, COPYFILES and NSSDATABASES, plus the
      new names prefixed with SETUP_ (Closes: #675408).  The old
      script-config and new profile keys are mutually exclusive.  If
      both are set, script-config will be used.  If the script-config
      file is not present, create default settings for FSTAB, COPYFILES
      and NSSDATABASES for backward compatibility, needed since the
      standard config files are removed on upgrade.  Note that in 1.5.x
      releases, profile was set in all cases, which set setup.fstab etc.
      but this is now no longer the case, to permit script-config files
      to continue to function if present.  script-config will be
      removed in 1.7.x/1.8.x, so it is advisable to replace usage of
      script-config with profile.
  * Updated translations:
    - da (Closes: #675398).  Thanks to Joe Hansen.
    - de (Closes: #676380).  Thanks to Holger Wansing.
    - fr (Closes: #676413, #676416).  Thanks to Thomas Blein.
    - pt (Closes: #676813).  Thanks to Pedro Ribeiro.

 -- Roger Leigh <rleigh@debian.org>  Sun, 24 Jun 2012 20:18:30 +0100

schroot (1.5.4-1) unstable; urgency=low

  * New upstream development release.
  * schroot: Correctly initialise the "profile" property
    (Closes: #675189).

 -- Roger Leigh <rleigh@debian.org>  Tue, 29 May 2012 22:53:23 +0100

schroot (1.5.3-1) unstable; urgency=low

  * New upstream development release.
  * dchroot:
    - Always use "/bin/sh -c" to run the specified command, rather than
      the user's shell, in order to ensure consistent behaviour.
  * schroot:
    - Add shell fallbacks (Closes: #674040).  When running a login
      shell, try $SHELL (if preserving the environment), or else passwd
      pw_shell, then /bin/bash and finally /bin/sh.  This may be
      overidden using the shell configuration key, which may in turn be
      overidden by the --shell option.
    - Don't warn the user about groups which do not exist
      (Closes: #674041).  This is now debug log info only.
    - Add support for running programs in non-native architecture
      chroots using binfmt support for qemu user binaries
      (Closes: #604268).  Thanks to Loïc Minier, Julian Andres Klode
      and Colin Watson.

 -- Roger Leigh <rleigh@debian.org>  Tue, 29 May 2012 21:26:47 +0100

schroot (1.5.2-1) experimental; urgency=low

  * New upstream development release.
  * Build with current Boost libraries (1.49).
  * debian/control:
    - Fix typo (debuggging, Closes: #653732).  Thanks to Vincent Blut.
    - Build-Depend on debhelper 9, and po4a 0.40.
    - Upgrade to Standards-Version 3.9.3.
  * schroot preinst: Remove default (script-config) conffiles on
    upgrade.  These are deprecated and support will be dropped in
    the future.
  * /etc/default/schroot supports ending sessions on stop
    (Closes: #625202).  The existing SESSIONS_RECOVER option has been
    renamed to START_ACTION, and an additional STOP_ACTION option has
    been added.  Both of these may be set to "end" to cause all
    sessions to be ended when run with a "start" or "stop" argument,
    respectively.
  * Support translation of the documentation with po4a
    (Closes: #588962).  A French translation of the manual pages has
    been added, and translated manual pages are built, but is not yet
    installed.  Thanks to David Prévot.
  * Support for overlayfs has been added in addition to aufs and
    unionfs (Closes: #648450).  Thanks to Evan Broder.
  * Arbitrary options may now be set in a chroot definition in
    schroot.conf.  These options are also set in the environment when
    running setup scripts, making this a simple means by which setup
    scripts may be customised without writing code.  As part of this
    change, the error message for invalid keys has been reworded to
    make it more helpful (Closes: #666274).
  * The gshadow database is now copied into the chroot using the
    nssdatabases setup script, rather than copyfiles.
  * Services may be started and stopped inside the chroot on session
    creation and session ending (Closes: #625205).  These are specified
    using the new setup.services key, and are started and stopped using
    invoke-rc.d.  See schroot.conf(5) for further details.
  * 15killprocs kills processes under CHROOT_PATH rather than
    CHROOT_MOUNT_LOCATION (Closes: #672113).  Thanks to Julien Viard de
    Galbert.
  * The above options may be set (where permitted) on the schroot
    command-line by using the new --option command-line option to set
    the option to a user-defined value, which will permit users to
    customise the behaviour of setup scripts.  Note that only keys
    specified in the new user-modifiable-keys or root-modifiable-keys
    settings are permitted to be set, for security reasons.
  * A new "custom" chroot type has been added (Closes: #477937).  This
    permits the testing and development of new specialised chroot

