## schroot 1.6.4

=== debian/changelog ===
schroot (1.6.4-4~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No source changes.

 -- Roger Leigh <rleigh@debian.org>  Sun, 27 Jan 2013 17:24:45 +0000

schroot (1.6.4-4) unstable; urgency=low

  * schroot: Add sbuild profile fstab file for freebsd
    (Closes: #692213).  This mounts /dev, /dev/fd and /build.

 -- Roger Leigh <rleigh@debian.org>  Sat, 03 Nov 2012 15:19:16 +0000

schroot (1.6.4-3) unstable; urgency=low

  * schroot-mount canonicalises both the base path and full
    path when sanity checking mountpoints (Closes: #691694).

 -- Roger Leigh <rleigh@debian.org>  Mon, 29 Oct 2012 19:25:30 +0000

schroot (1.6.4-2) unstable; urgency=low

  * sbuild::chroot_facet_session_clonable: Include
    sbuild-chroot-block-device-base.h, which was missing on
    kFreeBSD and Hurd builds (it's included indirectly on Linux
    via the LVM snapshot header).

 -- Roger Leigh <rleigh@debian.org>  Sun, 28 Oct 2012 11:49:57 +0000

schroot (1.6.4-1) unstable; urgency=low

  * New upstream stable release.
  * NEWS: Provide guidance for wheezy upgrades with regard to
    use of the profile key in a backward-compatible manner also
    using setup.config, to mimic the behaviour of the deprecated
    script-config key.
  * schroot.conf(5) additionally updated to document script-config
    deprecation and use of user keys such as setup.config.
  * schroot-mount: Canonicalise mountpoints with symlinks to avoid
    mounting absolute paths on the host rather than inside the chroot
    (Closes: #686148).  Note the caveat regarding paths with multiple
    symlinks in schroot-script-config(5).  This permits safe use of
    symlinks as mountpoints in some common circumstances, e.g. on
    /var/lock, which is a symlink to /run/lock, though this is not
    recommended practice.
  * 15binfmt no longer pollutes output, by redirecting stderr from
    "which update-binfmts" (Closes: #688304).
  * Ensure that CHROOT_ALIAS (setup scripts) and SCHROOT_ALIAS_NAME
    (user environment) always refer to the alias used to create the
    session (Closes: #689078).  The alias is no longer canonicalised
    by sbuild::chroot_config::validate_chroots.  The logic for
    chroot validation and information display in sbuild::chroot_config
    and schroot::main_base (and derived classes) required refactoring
    to allow the unresolved alias name to be passed through to the
    session clone operation in sbuild::session, so that it could be
    stored in the chroot's sbuild::chroot_facet_session facet.
  * On session recovery, mount the snapshot LV rather than the source
    LV for LVM snapshot chroots (Closes: #691376).  The code which
    sets the mount device for all mountable chroots (with an
    sbuild::chroot_facet_mountable facet) is in
    sbuild::chroot_facet_session_clonable::clone_session_setup().
    All chroot types refactored to set the mount device here.
  * 10mount uses a lock directory /var/lock/schroot to contain its
    lockfile, rather than directly using /var/lock, which is less
    secure.

 -- Roger Leigh <rleigh@debian.org>  Sat, 27 Oct 2012 23:30:38 +0100

schroot (1.6.3-1) unstable; urgency=low

  * New upstream stable release.
  * Revert pam_env change in 1.6.2-1.  This is due to running the
    PAM module on the host, it would inappropriately set LANG, LANGUAGE
    and potentially other environment variables which would be
    incorrect inside the chroot.

 -- Roger Leigh <rleigh@debian.org>  Sat, 21 Jul 2012 10:42:53 +0100

schroot (1.6.2-1) unstable; urgency=low

  * New upstream stable release.
  * schroot:
    - PAM pam_env is used to set up additional environment from
      /etc/security/pam_env.conf and /etc/default/locale.
    - /usr/bin/X11 and /usr/games have been removed from the
      default PATH.

 -- Roger Leigh <rleigh@debian.org>  Wed, 18 Jul 2012 23:10:24 +0100

schroot (1.4.22-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Do not require Boost 1.46 to build, to allow use of the squeeze
    Boost version.

 -- Roger Leigh <rleigh@debian.org>  Sun, 15 May 2011 18:34:09 +0100
