## schroot 1.6.5

=== debian/changelog ===
schroot (1.6.5-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:44 +0100

schroot (1.6.5-1) unstable; urgency=low

  * New upstream stable release.

 -- Roger Leigh <rleigh@debian.org>  Sun, 27 Jan 2013 23:07:10 +0000

schroot (1.4.27-1) unstable; urgency=low
  * New upstream stable release.
  * 10mount: Use secure lock directory /var/lock/schroot in place
    of insecure use of lockfiles directly in /var/lock.
  * schroot-mount: Canonicalise mountpoints with symlinks to avoid
    mounting absolute paths on the host rather than inside the chroot
    (Closes: #686148).  Note the caveat regarding paths with multiple
    symlinks in schroot-script-config(5).

 -- Roger Leigh <rleigh@debian.org>  Mon, 29 Oct 2012 20:13:36 +0000
