=== debian/control ===
--- 
+++ 
@@ -1,18 +1,35 @@
 Source: schroot
 Section: admin
 Priority: optional
-Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
 Uploaders: Roger Leigh <rleigh@debian.org>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, pkg-config (>= 0.20), libpam0g-dev (>= 0.79-3.1), uuid-dev [!kfreebsd-any], liblockdev1-dev (>= 1.0.2), libboost-dev (>= 1.39.0), libboost-program-options-dev (>= 1.39.0), libboost-regex-dev (>= 1.39.0), libboost-filesystem-dev (>= 1.39.0), gettext, libcppunit-dev
-Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.1
+Build-Depends:
+ debhelper (>= 9),
+ autotools-dev,
+ pkg-config,
+ libpam0g-dev,
+ uuid-dev [!kfreebsd-any],
+ liblockdev1-dev,
+ libboost-dev,
+ libboost-iostreams-dev,
+ libboost-program-options-dev,
+ libboost-regex-dev,
+ libboost-filesystem-dev,
+ gettext,
+ libcppunit-dev,
+ groff-base,
+ po4a (>= 0.40)
+Build-Depends-Indep:
+ doxygen,
+ graphviz
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=buildd-tools/schroot.git
 Vcs-Git: git://git.debian.org/git/buildd-tools/schroot
 
 Package: schroot-common
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: schroot (<< 1.1.1)
 Description: common files for schroot
  schroot allows users to execute commands or interactive shells in
  different chroots.  Any number of named chroots may be created, and
@@ -28,8 +45,12 @@
 Package: libsbuild-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, pkg-config (>= 0.14.0)
-Suggests: schroot-dbg, libsbuild-doc
+Depends:
+ ${misc:Depends},
+ pkg-config (>= 0.14.0)
+Suggests:
+ schroot-dbg,
+ libsbuild-doc
 Description: development files for the Debian source builder
  sbuild provides facilities to manage and access chroots, as part of
  schroot.
@@ -50,12 +71,14 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, schroot (= ${binary:Version}) | dchroot (= ${binary:Version})
- | dchroot-dsa (= ${binary:Version})
-Conflicts: schroot (<< ${binary:Version}), schroot (>> ${binary:Version}),
+Depends:
+ ${misc:Depends},
+ schroot (= ${binary:Version}) | dchroot (= ${binary:Version}) | dchroot-dsa (= ${binary:Version})
+Conflicts:
+ schroot (<< ${binary:Version}), schroot (>> ${binary:Version}),
  dchroot (<< ${binary:Version}), dchroot (>>${binary:Version}),
  dchroot-dsa (<< ${binary:Version}), dchroot-dsa (>>${binary:Version})
-Description: schroot, dchroot and dchroot-dsa debuggging symbols
+Description: schroot, dchroot and dchroot-dsa debugging symbols
  sbuild provides facilities to manage and access chroots, as part of
  schroot.
  .
@@ -92,10 +115,19 @@
 
 Package: schroot
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, schroot-common (=${source:Version})
+Depends:
+ ${shlibs:Depends}, ${misc:Depends},
+ schroot-common (=${source:Version})
 Conflicts: dchroot (<< 0.13)
+Replaces:
+ buildd (<< 0.62.3-1),
+ sbuild (<< 0.62.3-1)
 Enhances: sbuild
-Suggests: debootstrap, lvm2, btrfs-tools, aufs-modules | unionfs-modules
+Breaks:
+ sbuild (<< 0.62.6),
+# We need the --find option of update-binfmts
+ binfmt-support (<< 2.0.1)
+Suggests: debootstrap, lvm2, btrfs-tools, aufs-modules | unionfs-modules, qemu-user-static
 Description: Execute commands in a chroot environment
  schroot allows users to execute commands or interactive shells in
  different chroots.  Any number of named chroots may be created, and
@@ -125,7 +157,10 @@
 Package: dchroot
 Architecture: any
 Suggests: debootstrap
-Depends: ${misc:Depends}, schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
+Depends:
+ ${misc:Depends}, ${shlibs:Depends},
+ schroot (= ${binary:Version}),
+ schroot-common (=${source:Version})
 Description: Execute commands in a chroot environment
  dchroot allows users to execute commands or interactive shells in
  different chroots.  A typical installation might provide 'stable',
@@ -148,7 +183,10 @@
 Package: dchroot-dsa
 Architecture: any
 Suggests: debootstrap
-Depends: ${misc:Depends}, schroot (= ${binary:Version}), ${shlibs:Depends}, schroot-common (=${source:Version})
+Depends:
+ ${misc:Depends}, ${shlibs:Depends},
+ schroot (= ${binary:Version}), ${shlibs:Depends},
+ schroot-common (=${source:Version})
 Description: Execute commands in a chroot environment
  dchroot allows users to execute commands or interactive shells in
  different chroots.  A typical installation might provide 'stable',
